=== debian/changelog ===
neutron (2:9.0.0~rc1-2+5~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Added a new neutron-macvtap-agent package.
  * Fixed oslo-config-gnenerator namespaces for a number of config file.
  * Debconf translation:
    - it (Closes: #838501).

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:21:34 +0000

neutron (2:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased fix-requirements.txt.patch.
  * Re-enabled tests.
  * Add flake8-legacy.patch (idea taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:14:17 +0200
