## neutron 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 requests>=2.10.0 # Apache-2.0
 Jinja2>=2.8 # BSD License (3 clause)
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 netifaces>=0.10.4 # MIT
 neutron-lib>=0.4.0 # Apache-2.0
 python-neutronclient>=5.1.0 # Apache-2.0
