=== debian/changelog ===
neutron (2:9.0.0-4+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 17 Oct 2016 13:43:35 +0000

neutron (2:9.0.0-4) unstable; urgency=medium

  * Fixed path of ml2_conf.ini in debian/neutron-linuxbridge-agent.init.in.
  * Correctly runtime depends: on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2016 11:13:41 +0200

neutron (2:9.0.0-3) unstable; urgency=medium

  * Add a [designate] configuration example (Closes: #831697).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 16:12:34 +0200

neutron (2:9.0.0-2) unstable; urgency=medium

  * Debconf translation:
    - pt (Closes: #840059).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 13:36:10 +0200

neutron (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:12:16 +0200

neutron (2:9.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Added a new neutron-macvtap-agent package.
  * Fixed oslo-config-gnenerator namespaces for a number of config file.
  * Debconf translation:
    - it (Closes: #838501).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:01:19 +0200
