=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                      python-keystoneauth1 (>= 2.10.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 1.3),
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-netifaces (>= 0.10.4),
                      python-neutron-lib (>= 0.4.0),
                      python-neutronclient (>= 1:5.1.0),
@@ -105,7 +105,7 @@
          python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
          python-mysqldb,
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-netifaces (>= 0.10.4),
          python-neutron-lib (>= 0.4.0),
          python-neutronclient (>= 1:5.1.0),
@@ -168,6 +168,7 @@
          python-openstackclient,
          q-text-as-data,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - server
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -239,6 +240,7 @@
          neutron-common (= ${source:Version}),
          sudo,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Recommends: openvswitch-switch,
 Conflicts: neutron-vpn-agent,
@@ -258,6 +260,7 @@
          neutron-common (= ${source:Version}),
          sudo,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - DHCP agent
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -272,6 +275,7 @@
 Depends: adduser,
          neutron-common (= ${source:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - metadata agent
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -288,15 +292,10 @@
          lsb-base,
          neutron-common (= ${source:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Provides: neutron-plugin-metering-agent,
 Description: OpenStack virtual network service - metering agent
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
- network capabilities, including QoS, ACLs, and network monitoring.
- .
- This package provides the Neutron metering agent.
-
-Package: neutron-openvswitch-agent
-Architecture: all
