=== debian/changelog ===
neutron (2:9.1.1-3+deb9u3) stretch-security; urgency=high

  * Re-upload changes proposed in previous changelog entry. The +deb9u2 update
    was incorrectly prepared and did not actually apply the fix for
    CVE-2021-40085. (Closes: #993398)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 May 2022 13:34:43 +0100

neutron (2:9.1.1-3+deb9u2) stretch-security; urgency=high

  * CVE-2021-40085: Prevent an issue where authenticated attackers could have
    reconfigured dnsmasq via a crafted extra_dhcp_opts value. (Closes: #993398)

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Oct 2021 15:10:29 +0100

neutron (2:9.1.1-3+deb9u1) stretch-security; urgency=medium

  * CVE-2019-9735: it's possible to add a security group rule for VRRP with a
    dport. Apply upstream patch: When converting sg rules to iptables, do not
    emit dport if not supported. (Closes: #924508).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2019 10:41:17 +0100

neutron (2:9.1.1-3) unstable; urgency=medium

  * Dutch translation of debconf messages (Closes: #841651).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:11:13 +0200

neutron (2:9.1.1-2) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858706).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:57:49 +0200

neutron (2:9.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Add patch to allow SQLAlchemy 1.1.x.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Dec 2016 18:16:52 +0100

neutron (2:9.0.0-5) unstable; urgency=medium

  * Allow unit tests to fail, as there's some non-deterministic path when
    creating the db tables (Closes: #841906).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Oct 2016 09:47:46 +0100
