## neutron 9.4.0

=== debian/changelog ===
neutron (2:9.4.0-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1696133, #1662804).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 13:08:13 +0100

neutron (2:9.3.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:13:47 -0400

neutron (2:9.2.0-0ubuntu2) yakkety; urgency=medium

  * d/neutron-common.install, d/neutron-dhcp-agent.install:
    Remove cron jobs since they will cause a race when
    using an L3 agent. The L3 agent cleans up after itself now.
    (LP: #1623664)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 13:20:57 -0400

neutron (2:9.2.0-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * d/p/tests-db.patch: Specify a db path for tests. 
  * New upstream point release for Openstack Newton (LP: #1664306).
  * d/control: Bump python-pecan version. (LP: #1668578)

  [ Corey Bryant ]
  * d/tests/control: Use needs-recommends to ensure neutron-plugin-ml2 is
    installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Mar 2017 10:02:38 -0500

neutron (2:9.1.1-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * debian/patches/check-namespace-before-getting-devices.patch: Dropped
    no longer needed, merged into stable/newton. 

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Newton (LP: #1645772).

 -- David Della Vecchia <ddv@canonical.com>  Thu, 01 Dec 2016 11:36:16 -0500

neutron (2:9.0.0-0ubuntu1.16.10.2) yakkety; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream stable/newton branch to check if router namespace exists
    before getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 14:05:14 -0500

neutron (2:9.0.0-0ubuntu1.16.10.1) yakkety; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in: Fix
    service config typo (LP: #1635369).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 14:31:33 -0400

neutron (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/neutron-openvswitch-agent.service.in: Attempt load of br_netfilter
    module prior to starting service, ensuring that security rules will
    be applied to bridges associated with instances (LP: #1630968).

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 13:36:38 -0400

neutron (2:9.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 08:17:58 -0400

neutron (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/p/flake8-legacy.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:47:43 -0400

neutron (2:9.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  * d/control: Require miniminum dnsmasq of 2.76 to ensure availability
    of dhcp_release6.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2016 10:20:14 -0400

neutron (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 11:30:48 +0100

neutron (2:9.0.0~b3-0ubuntu3) yakkety; urgency=medium

  * d/neutron-linuxbridge-agent.service.in: Attempt load of br_netfilter
    module prior to starting service, ensuring that security rules will
    be applied to instances (LP: #1621854).

 -- James Page <james.page@ubuntu.com>  Fri, 09 Sep 2016 14:31:25 +0100

neutron (2:9.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/control: Set minimum version of neutron-fwaas to 9.0.0~b3, resolving
    autopkgtest failures during db migrations.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 10:51:56 +0100

neutron (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in:
    Fix Type=oneshot typo (LP: #1606652).

  [ James Page ]
  * New upstream release.
  * d/p/flake8-legacy.patch: Compat patch for newer flake8 version than
    upstream OpenStack is currently aligned with.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-pep8 to BDs.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 16:37:00 -0400

neutron (2:9.0.0~b2-0ubuntu3) yakkety; urgency=medium

  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.init.in:
    Run neutron-linuxbridge-cleanup with linuxbridge_agent.ini (LP: #1606657).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Aug 2016 14:55:38 -0400

neutron (2:9.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/control: Add runtime dependency on python-ryu, now used as the default
    openflow manager for the ML2/Open vSwitch agent.
  * d/p/drop-ryu-dep.patch: Dropped, as we need ryu now for normal operation.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jul 2016 16:03:14 +0100

neutron (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/control: Bump min python-fixtures to 3.0.0.

  [ David Della Vecchia ]
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jul 2016 11:49:23 +0100

neutron (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.

